---
title: HTMLTableElement.cellPadding
slug: Web/API/HTMLTableElement/cellPadding
tags:
  - API
  - HTML DOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.cellPadding</strong></code> property represents the padding around the individual cells of the table.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.cellPadding = <em>padding</em>;
var <em>padding</em> = <em>HTMLTableElement</em>.cellPadding;</pre>

<ul>
 <li><code>padding</code> is either a number of pixels (e.g. "10") or a percentage value (e.g. "10%").</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Set cell padding to 10 pixels
let t = document.getElementById('TableA');
t.cellPadding = '10';</pre>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li>W3C DOM 2 HTML Specification <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-59162158"><em>HTMLTableElement</em> .cellPadding</a>.</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.cellPadding")}}</p>
</div>
